# OpalVideoMediaType Class Reference

`#include <mediatype.h>`

Inheritance diagram for OpalVideoMediaType:

[legend]
Collaboration diagram for OpalVideoMediaType:
[legend]

## Public Member Functions

| OpalVideoMediaType ()
SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &) const
| create an SDP media description entry for this media type

## Static Public Member Functions

static const char * | Name ()

## Constructor & Destructor Documentation

OpalVideoMediaType::OpalVideoMediaType | ( |  | ) |

## Member Function Documentation

SDPMediaDescription* OpalVideoMediaType::CreateSDPMediaDescription | ( | const OpalTransportAddress & |  | ) | const`[virtual]`

create an SDP media description entry for this media type

Reimplemented from OpalMediaTypeDefinition.

static const char* OpalVideoMediaType::Name | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- mediatype.h